package
{
	import flash.events.DataEvent;
	import flash.events.MouseEvent;
	import flash.external.ExternalInterface;
	import flash.net.URLRequest;
	import flash.net.XMLSocket;
	
	import org.flixel.*;
	
	public class ErrorState extends FlxState
	{
		public var error:FlxText;
		public var errormsg:FlxText;
		
		public static var errortxt:String;
		
		public function ErrorState(err:String)
		{
			errortxt = err;
		}
		
		override public function create():void
		{		
			if (FlxG.music!=null)
				FlxG.music.stop();
			
			error = new FlxText(0,FlxG.height*1./4,FlxG.width,"there has been an error");
			error.size=32;
			error.alignment="center";		
			error.color=0xffff0000;
			add(error); 	
			
			errormsg = new FlxText(0,FlxG.height*3./4,FlxG.width,errortxt);
			errormsg.size=32;
			errormsg.alignment="center";		
			errormsg.color=0xffff0000;
			add(errormsg); 				
			
			var base:String = ExternalInterface.call('window.location.href.toString');
			
			ExternalInterface.call("setText",'<a href="' + base.split("?")[0] + '">click here to start a new game</a>');
			
		}
		
		override public function update():void
		{
			if (FlxG.music!=null)
				FlxG.music.stop();
			
			super.update();
		}
		
	}
}